% [X,F,cgit] = Onewtoncg(f,paramf,x0[,tol,maxit,convcrit])
% Optimisation by Newton-CG
%
% Reference: p. 136ff, 139ff in:
%   Nocedal and Wright: "Numerical Optimization", Springer, 1999.
%
% Example usage & In/Out arguments: see Osteepdesc.m.
%
% In:
%   convcrit: convergence criterion for inexact Newton steps (p. 136ff);
%      one of 'linear', 'superlinear' or 'quadratic'. Default: 'quadratic'.
% Out:
%   cgit: ? x 1 list of the number of CG iterations run at each Newton step.
%
% Any non-mandatory argument can be given the value [] to force it to take
% its default value.

% Copyright (c) 2006 by Miguel A. Carreira-Perpinan

function [X,F,cgit] = Onewtoncg(f,paramf,x0,tol,maxit,convcrit)

